# Pipelines Object

> Source: https://truto.one/docs/api-reference/unified-crm-api/pipelines/

Schema for the `Pipelines` resource in **Unified CRM API**.

## Properties

- **`id`** _(string, required)_
  The unique identifier for the pipeline
- **`name`** _(string)_
  The name of the pipeline
- **`entity`** _(string)_
  The entity associated with the pipeline
  Allowed: `contact`, `account`, `opportunity`
- **`stages`** _(array<object>)_
  The stages associated with the pipeline
  - **`id`** _(string)_
    The unique identifier for the stage
  - **`name`** _(string)_
    The name of the stage
  - **`status`** _(string)_
    The status of the entity at the stage
  - **`pipeline`** _(object)_
    The pipeline associated with the stage
    - **`id`** _(string)_
      The unique identifier for the pipeline
- **`created_at`** _(string)_
  The date and time when the pipeline was created
- **`updated_at`** _(string)_
  The date and time when the pipeline was updated
- **`remote_data`** _(object)_
  Raw data returned from the remote API call.

## Methods

- [GET /unified/crm/pipelines/{id}](/docs/api-reference/unified-crm-api/pipelines/get) — Get Pipelines
- [PATCH /unified/crm/pipelines/{id}](/docs/api-reference/unified-crm-api/pipelines/update) — Update Pipelines
- [DELETE /unified/crm/pipelines/{id}](/docs/api-reference/unified-crm-api/pipelines/delete) — Delete Pipelines
- [GET /unified/crm/pipelines](/docs/api-reference/unified-crm-api/pipelines/list) — List Pipelines
- [POST /unified/crm/pipelines](/docs/api-reference/unified-crm-api/pipelines/create) — Create Pipelines
